{% extends '_base.html.jinja' %}
{% set root_edition = path_edid|length == 0 %}
{% set title = doc.title or succession.dsi %}
{% set dsi = doc.dsi if doc else succession.dsi ~ "/" ~ path_edid %}
{% set succ_path = "." if root_edition else ".." %}

{% block more_head %}
{{super()-}}
<style>
main {
  padding: 8px;
  width: calc(180px + 50vw);
  text-align: center;
  text-align: left;
  --not-article-bg: #cedff2;
  --button-color: #ffc107;
  --pdf-icon-height: 48px;
}
main a code {
  white-space: nowrap;
}
.edition-header {
  text-align: center;
  margin-top: 24px;
  margin-bottom: 32px;
}
h1.article-title {
  font-size: min(1.375rem + 1.5vw, 2.5rem);
  text-align: center;
  margin-bottom: 1rem;
}
.article-authors, .article-date {
  text-align: center;
}
.no-editions {
  text-align: center;
}
.not-article-box {
  background: var(--not-article-bg);
  margin-top: 48px;
  padding: 4px 16px;
  max-width: 480px;
  margin-left: auto;
  margin-right: auto;
  --max-not-article-inner-width: 400px;
  --button-font-size: 24px;
}
.eprinters-box {
  max-width: var(--max-not-article-inner-width);
  margin-left: auto;
  margin-right: auto;
  margin-top: 40px;
  margin-bottom: 40px;
}
.eprinters-box .btn {
  width: 100%;
  font-size: var(--button-font-size);
  padding-top: 12px;
  padding-bottom: 13px;
  text-decoration: none;
}
.eprinters-box .btn img {
  margin-left: 4px;
  height: 28px;
}
.accordion {
  --bs-accordion-btn-focus-box-shadow: 0;
  --bs-accordion-active-color: inherit;
  --bs-accordion-active-bg: var(--button-color);
}
.archive-box {
  max-width: var(--max-not-article-inner-width);
  margin-left: auto;
  margin-right: auto;
  margin-top: 40px;
  margin-bottom: 40px;
}
.archive-button {
  background-color: var(--button-color);
  border-radius: 0.375rem;
}
.archive-button > span {
  width: 100%;
  font-size: var(--button-font-size);
  text-align: center;
}
.accordion-body {
  margin-top: 4px;
  background-color: white;
  border-radius: 0.375rem;
}
.archive-box code {
  font-size: 12px;
}
.archive-box dd {
  overflow-x: auto;
}
.abstract-heading {
  margin-top: 48px;
  margin-bottom: 24px;
}
</style>
{% endblock more_head %}

{% block main_content %}

<div class="edition-header">
<div>
dsi:&thinsp;<a href="{{succ_path}}/{{doc.edid}}"><code>{{dsi}}</code></a>
</div>
{% if doc %}
<div>Edition {{doc.edid}}&emsp;({{doc.date}})</div>
{% endif %}
</div>

{% if doc %}
<h1 class="article-title">{{doc.title}}</h1>
<p class="article-authors">
{{ doc.authors | join(', ') }}
</p>
{% else %}
<p class="no-editions">
This document succession contains only unlisted editions. To see them, view the archive.
</p>
{% endif %}

<div class="not-article-box">

<div class="eprinters-box">
<ul class="list-unstyled list-eprinters">
{% for name, ep in eprinters.items() %}
<li class="list-unstyled">
  <a class="btn btn-warning" href="{{ep.url ~ dsi}}" alt="{{name}}">
  Read at {{name}}
  </a>
</li>
{% endfor %}
</ul>
</div>

<div class="archive-box accordion accordion-flush">
<div class="oaccordion-item">
  <h3 class="archive-heading accordion-header">
    <button class="archive-button accordion-button collapsed" type="button"
        data-bs-toggle="collapse" data-bs-target="#collapseRecords"
        aria-expanded="true" aria-controls="collapseOne">
    <span>View Archive</span>
    </button>
  </h3>
  <div id="collapseRecords" class="accordion-collapse collapse">
    <div class="accordion-body">
      <div class="editions">
      <h4>All Editions</h4>
      <ul class="list-unstyled">
      {% for edid, doc in all_docs.items()|reverse %}
      <li>
        <a href="{{succ_path}}/{{edid}}">/{{edid}}</a>
        &ensp;
        <a href="{{succ_path}}/{{edid}}">{{doc.date if doc else ""}}</a>
      </li>
      {% endfor %}
      </ul>
      </div>
      <div class="succession">
        <h4>Document Succession</h4>
        <dl>
          <dt>Last archive revision:</dt>
          <dd><a href="https://archive.softwareheritage.org/api/1/revision/{{succession.revision}}/log/">
          <code>swh:1:rev:{{succession.revision}}</code>
          </a>
          </dd>
        </dl>
      </div>
    </div>
  </div>
</div>
</div>

</div>{# .not-article-box #}

{% if doc %}
<div class="abstract-box">
<h2 class="abstract-heading">Abstract</h2>
<div class="abstract-content pandoc">
{{doc.abstract-}}
</div>
</div>
{% endif %}

<script src="{{bootstrap}}/js/bootstrap.min.js" integrity="sha384-7VPbUDkoPSGFnVtYi0QogXtr74QeVeeIs99Qfg5YCF+TidwNdjvaKZX19NZ/e6oz" crossorigin="anonymous"></script>

{% endblock main_content %}
